︠bed3f415-a775-4480-8e4c-12f1476e32a6︠
def embed(url):
    id = sage.server.notebook.interact.SAGE_CELL_ID
    html('''<script>
    id = %d
    elem = document.getElementById('iframe_' + id);
    if (elem) {
        document.getElementById('cell_div_output_' + id).removeChild(elem);
    }
    if (!elem) {
        elem = document.createElement('div');
        elem.setAttribute('id','iframe_' + id);
    }
    elem.innerHTML = '<iframe id="iframedata" src="%s" style="height: 30em; width: 50em;">Hello!</iframe>'
    document.getElementById('cell_div_output_' + id).appendChild(elem);
    </script>''' % (id, url))
︡0dca592c-509f-4514-869e-29e924a37f4e︡︡
︠b4679709-8864-472e-9228-8f7e2c5e412b︠
engine_dict = {
  'arxiv' : 'http://arxiv.org/search',
  'front' : 'http://front.math.ucdavis.edu/search?q=',
  'google' : 'http://www.google.com/search?q=', 
  'python' : 'http://www.google.com/search?as_q=site%3Adocs.python.org&q=',
  'sage_groups' : 'http://www.google.com/custom?as_q=more:group&hl=en&client=google-coop-np&cof=FORID%3A13%3BAH%3Aleft%3BCX%3ASage%2520Infobase%3BL%3Ahttp%3A//www.google.com/coop/intl/en/images/custom_search_sm.gif%3BLH%3A65%3BLP%3A1%3BVLC%3A%23551a8b%3BGFNT%3A%23666666%3BDIV%3A%23cccccc%3B&adkw=AELymgWTTzvpoYsc_s7Np4sJ8KRz2KQrfROd8irzvyy31imt9iGiffg4X-EFUIs2XJZpUyorgWisnUJQNU_yVoluiTn9eqQbT5OYBgw-JOnxrLqxKNvyGWIUDFq5CWR5T_bJpppvtLm9W8PWu6iduoCcVGK_tuYPB0ll2KiOBi-hKPdKxnqfSxr53lQn92MFVHOQvkZomGI5rzMUIRxbmqQysqwTeXZWfg&boostcse=0&cx=017384562579735769466%3As27byrlaffu&q=',
  'sage_trac' : 'http://trac.sagemath.org/sage_trac/search?noquickjump=0&q=',
  'sage_ticket' : 'http://trac.sagemath.org/sage_trac/search?noquickjump=0&q=%23',
  'wiki' : 'http://www.wikipedia.org/search-redirect.php?language=en&search=',
  'youtube' : 'http://youtube.com/results?search_query='
  }
︡f41d0dac-2869-446e-b0f2-8cf8a1ea191a︡︡
︠0d853f80-82f6-4721-a418-a932a7d298d3︠
def search(phrase, engine='google'):
    embed(engine_dict[engine.lower()] + phrase.replace(' ', '%20'))
︡7655ae23-9e5d-4c41-a7fc-4fe3a3b4623d︡︡
︠f360716a-b896-47ba-861f-d5e8722c36a6︠
embed('http://www.sagemath.org/doc/tutorial/tour_rings.html')
︡56c99c77-463e-4c0e-86b1-4f14c726acf6︡{"html": "<font color='black'><script>\n    id = 8\n    elem = document.getElementById('iframe_' + id);\n    if (elem) {\n        document.getElementById('cell_div_output_' + id).removeChild(elem);\n    }\n    if (!elem) {\n        elem = document.createElement('div');\n        elem.setAttribute('id','iframe_' + id);\n    }\n    elem.innerHTML = '<iframe id=\"iframedata\" src=\"http://www.sagemath.org/doc/tutorial/tour_rings.html\" style=\"height: 30em; width: 50em;\">Hello!</iframe>'\n    document.getElementById('cell_div_output_' + id).appendChild(elem);\n    </script></font>"}︡
︠fa9e6fdb-231c-405e-b0fc-47cfc7849660︠
search('metric space', 'wiki')
︡ad1cda5d-ad87-4070-8d3c-30eed8d25ced︡{"html": "<font color='black'><script>\n    id = 7\n    elem = document.getElementById('iframe_' + id);\n    if (elem) {\n        document.getElementById('cell_div_output_' + id).removeChild(elem);\n    }\n    if (!elem) {\n        elem = document.createElement('div');\n        elem.setAttribute('id','iframe_' + id);\n    }\n    elem.innerHTML = '<iframe id=\"iframedata\" src=\"http://www.wikipedia.org/search-redirect.php?language=en&search=metric%20space\" style=\"height: 30em; width: 50em;\">Hello!</iframe>'\n    document.getElementById('cell_div_output_' + id).appendChild(elem);\n    </script></font>"}︡
︠3101ace9-bf06-4cc0-a4b5-0f7a12bd24b1︠
search('5822','sage_ticket')
︡3e06a2f4-6566-4030-aaae-2ba3063ab0e5︡{"html": "<font color='black'><script>\n    id = 5\n    elem = document.getElementById('iframe_' + id);\n    if (elem) {\n        document.getElementById('cell_div_output_' + id).removeChild(elem);\n    }\n    if (!elem) {\n        elem = document.createElement('div');\n        elem.setAttribute('id','iframe_' + id);\n    }\n    elem.innerHTML = '<iframe id=\"iframedata\" src=\"http://trac.sagemath.org/sage_trac/search?noquickjump=0&q=%235822\" style=\"height: 30em; width: 50em;\">Hello!</iframe>'\n    document.getElementById('cell_div_output_' + id).appendChild(elem);\n    </script></font>"}︡
